### GET /setups/carriers Source: https://app.shipmondo.com/api/public/v3/openapi.json Request Carrier setup file. Take a look at the usage guide [here](https://shipmondo.dev/docs/api/retrieve-and-use-the-carrier-setup-file) ```markdown ### Responses #### 200 - Successful. **UserCarrierSetup** - **status** (string (REQUESTED|IN_PROGRESS|COMPLETED)) (example: "REQUESTED") ("REQUESTED"|"IN_PROGRESS"|"COMPLETED") - **url** (string (url)): URL to download the carrier setup file (example: "https://example.com") - **expires_at** (string (date-time)): Time when the carrier setup file expires (example: "2020-01-01T00:00:00Z") #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 429 - Too many requests ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/setups/carriers" ``` ``` -------------------------------- ### POST /print_jobs/batch Source: https://app.shipmondo.com/api/public/v3/openapi.json Creates a batch of prints jobs to be printed in the specified order on a specified host. Related articles: - [Shipmondo Print Client installation and setup guide](https://help.shipmondo.com/en/articles/2564458-shipmondo-print-client-installation-and-setup-guide) ```markdown ### Request Body **Content-Type:** application/json - **host_name** (string) (required): The name of the computer/host to print at. (example: "WAREHOUSE-PC-01") - **print_jobs** (array (object)) (required): A list of print jobs to be printed in the specified order. Array items: - **document_id** (integer) (required): Identifier for the provided document_type. (example: 11460) - **document_type** (string (shipment|sales_order|fulfillment|proforma|waybill)) (required): Type of document that should be printed. (example: "shipment") ("shipment"|"sales_order"|"fulfillment"|"proforma"|"waybill") - **printer_name** (string) (required): The name of the printer that should be printed on. (example: "GK420D") - **label_format** (string (a4_pdf|10x19_pdf|10x19_zpl|compact_pdf|compact_zpl)) (required): The given format of the print job. Label_formats: compact_pdf and compact_zpl, is only compatible with document_type: shipment. (example: "10x19_zpl") ("a4_pdf"|"10x19_pdf"|"10x19_zpl"|"compact_pdf"|"compact_zpl") ### Responses #### 200 - Successful. - **success** (boolean): Identicates if the creation of print job batch was successful or not #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X POST "https://sandbox.shipmondo.com/api/public/v3/print_jobs/batch" \ -H "Content-Type: application/json" \ -d '{ "host_name": "WAREHOUSE-PC-01", "print_jobs": [ { "document_id": 11460, "document_type": "shipment", "printer_name": "GK420D", "label_format": "10x19_zpl" } ] }' ``` ``` -------------------------------- ### GET /printers Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns a list of printers. Printers are created through the Shipmondo print client uniquely per host. They are used to send print jobs to the print client. Related articles: - [Shipmondo Print Client installation and setup guide](https://help.shipmondo.com/en/articles/2564458-shipmondo-print-client-installation-and-setup-guide) ```markdown ### Responses #### 200 - Successful. - Array of Printer #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/printers" ``` ``` -------------------------------- ### POST /print_jobs Source: https://app.shipmondo.com/api/public/v3/openapi.json Creates a print job. Print jobs are sent to the print client on the specified host to print documents. Related articles: - [Shipmondo Print Client installation and setup guide](https://help.shipmondo.com/en/articles/2564458-shipmondo-print-client-installation-and-setup-guide) ```markdown ### Request Body **Content-Type:** application/json - **document_id** (integer) (required): Identifier for the provided document_type. (example: 11460) - **document_type** (string (shipment|sales_order|fulfillment|proforma|waybill)) (required): Type of document that should be printed. (example: "shipment") ("shipment"|"sales_order"|"fulfillment"|"proforma"|"waybill") - **host_name** (string) (required): The name of the computer/host to print at. (example: "WAREHOUSE-PC-01") - **printer_name** (string) (required): The name of the printer that should be printed on. (example: "GK420D") - **label_format** (string (a4_pdf|10x19_pdf|10x19_zpl|compact_pdf|compact_zpl)) (required): The given format of the print job. Label_formats: compact_pdf and compact_zpl, is only compatible with document_type: shipment. (example: "10x19_zpl") ("a4_pdf"|"10x19_pdf"|"10x19_zpl"|"compact_pdf"|"compact_zpl") ### Responses #### 200 - Successful. - **success** (boolean): Identicates if the creation of print job was successful or not #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X POST "https://sandbox.shipmondo.com/api/public/v3/print_jobs" \ -H "Content-Type: application/json" \ -d '{ "document_id": 11460, "document_type": "shipment", "host_name": "WAREHOUSE-PC-01", "printer_name": "GK420D", "label_format": "10x19_zpl" }' ``` ``` -------------------------------- ### Schema: UserCarrierSetupFile Source: https://app.shipmondo.com/api/public/v3/openapi.json Structure of file, that can be downloaded from the carrier setup ```markdown ## Schema: UserCarrierSetupFile Structure of file, that can be downloaded from the carrier setup **Type:** array - Array of object - **code** (string): Carrier code (example: "gls") - **name** (string): Descriptive name of the carrier (example: "GLS Denmark") - **products** (array (object)): Products available for the carrier Array items: - **code** (string): Product code, which is referred as 'product_code', when creating shipments (example: "GLSDK_SD") - **name** (string): Descriptive name of the product (example: "Shop Delivery") - **country_combinations** (array (object)): Country combinations available for the product Array items: - **sender_country_code** (string): Sender's country code (ISO Alpha-2) (example: "DK") - **receiver_country_code** (string): Receiver's country code (ISO Alpha-2) (example: "SE") - **shipmondo_agreement_available** (boolean): Whether the product can be created with a Shipmondo agreement (example: true) - **own_agreement_available** (boolean): Whether the product can be created with an own agreement, using on of the 'available_customer_numbers' (example: true) - **available_customer_numbers** (array (string)): Available customer numbers from own agreements for the product in the country combination - **customs_declaration_required** (boolean): Whether a customs declaration is required for the product in the country combination (example: true) - **required_fields** (array (string)): Required fields for the shipment with the product - **optional_fields** (array (string)): Optional fields for the shipment with the product - **required_parcel_fields** (array (string)): Required parcel fields for the shipment with the product - **optional_parcel_fields** (array (string)): Optional parcel fields for the shipment with the product - **optional_dg_fields** (array (string)): Optional dangerous goods fields for the shipment with the product - **package_types** (array (string)): Package types available for the product - **allowed_incoterms** (array (string)): Allowed incoterms for the product - **available_services** (array (CarrierSetupFileService)): Available services for the product Array items: - **code** (string): code of the service. Referred to as 'service_code' when creating shipments (example: "SMS_NT") - **name** (string): Descriptive name of the service (example: "SMS advisering") - **required_fields** (array (string)): Required fields on the shipment, when service is selected - **optional_fields** (array (string)): Optional fields on the shipment, when service is selected - **own_agreement_required** (boolean): Whether the service requires an own agreement (example: true) - **required_services** (array (CarrierSetupFileService)): Required services for the product Array items: ``` -------------------------------- ### GET /pickup_requests Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns a list of pickup requests. ```markdown ### Parameters - **id** (integer, query, optional): ID for the pickup request to be included in the filter - **carrier_code** (string (fed_ex|ups|dhl_express|geodis|dhl_freight_se|post_nord|bring), query, optional): Carrier code to be included in the filter. - **per_page** (integer, query, optional): For pagination. Defines how many entries are returned per page. - **page** (integer, query, optional): For pagination. Defines which page the results are fetched from. ### Responses #### 200 - Successful. - Array of PickupRequestNoShipments #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/pickup_requests?id=0&carrier_code=fed_ex&per_page=20&page=1" ``` ``` -------------------------------- ### GET /return_portals Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns a list of return portals. ```markdown ### Parameters - **id** (integer, query, optional): ID for the return portal. - **active** (boolean, query, optional): Filters for whether or not the return portal is active - **per_page** (integer, query, optional): For pagination. Defines how many entries are returned per page. - **page** (integer, query, optional): For pagination. Defines which page the results are fetched from. ### Responses #### 200 - Successful. **ReturnPortals** - Array of ReturnPortal #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/return_portals?id=0&active=true&per_page=10&page=1" ``` ``` -------------------------------- ### GET /shipments Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns a list of shipments. ```markdown ### Parameters - **id** (integer, query, optional): ID for the shipment to be included in the filter - **order_id** (string, query, optional): Order ID for the shipments to be included in the filter - **package_number** (string, query, optional): Shipment or package number for the shipments to be included in the filter - **carrier_code** (string (airmee|alpi|asendia|best|bft|bhs_logistics|bws|bpost|bring|brink|budbee|burd|city_mail|cm_transport|collicare|dachser|dansk_distribution_brabrand|dansk_distribution|dansk_distribution_taulov|dfm|dao|db_schenker|deutsche_post|dhl_express|dhl_freight_se|dhl_parcel|dpd|dsv_parcel|dsv|dsv_xpress|early_bird|esbjerg_gods|esbjerg_gods_sjaelland|fed_ex|freja|geodis|gls|gls_de|gordon|helthjem|instabox|interfjord|jetpak|jetpak_se|jjd|joervi_transport|kht|leman|lgt_logistics|link_logistics|b2c_europe|mover|nonbo_fragt|packeta|posti|post_nl|pdk|post_nord|sand_distribution|sdl|simptra|tjw|tnt|ups|webrinq|xpressen|unspecified), query, optional): Carrier code to be included in the filter. - **sender_country** (string, query, optional): Country code (ISO Alpha-2) to be included in the filter. (example: "DK") - **receiver_country** (string, query, optional): Country code (ISO Alpha-2) to be included in the filter. (example: "DK") - **waybill_reference** (string, query, optional): Reference of the bulk waybill that the shipment is included in, to be included in the filter. (example: "CS000000000NO") - **created_at_min** (string (date-time), query, optional): "From" timestamp for the shipments to be included in the filter. Examples: * 2017-06-19T11:00:03.305+02:00 * 2017-06-19 will be transformed into 2017-06-19T00:00:00.000+02:00 - **created_at_max** (string (date-time), query, optional): "To" timestamp for the shipments to be included in the filter. Examples: * 2017-06-29T11:00:03.305+02:00 * 2017-06-29 will be transformed into 2017-06-29T00:00:00.000+02:00 - **per_page** (integer, query, optional): For pagination. Defines how many entries are returned per page. - **page** (integer, query, optional): For pagination. Defines which page the results are fetched from. ### Responses #### 200 - Successful. - Array of Shipment #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/shipments?id=0&order_id=string&package_number=string&carrier_code=airmee&sender_country=DK&receiver_country=DK&waybill_reference=CS000000000NO&created_at_min=2023-01-01T00:00:00Z&created_at_max=2023-01-01T00:00:00Z&per_page=20&page=1" ``` ``` -------------------------------- ### GET /account/ Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns infomation on the currenctly logged in account. ```markdown ### Responses #### 200 - Successful. - **name** (string): Account name. (example: "Shipmondo") - **attention** (string): Associated attention of the account. (example: "John Doe") - **address_1** (string): Account address 1. (example: "Hvilehøjvej 25") - **address_2** (string): Account address 2. (example: "Hvilehøjvej 25") - **zip_code** (string): Account zip code. (example: "5220") - **city** (string): Account city. (example: "Odense SØ") - **country_code** (string): Account country code. (example: "DK") - **phone** (string): Account phone number. (example: "70400407") - **email** (string): Account email. (example: "contact@shipmondo.com") - **vat_no** (string): Account vat number. (example: "DK36399066") - **billing_email** (string): Account billing email. (example: "contact@shipmondo.com") - **home_page** (string): Account home page. (example: "shipmondo.com") - **updated_at** (string (date-time)): Date and time of retrieval of account information. (example: "2017-06-18T22:00:00.000Z") #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/account/" ``` ``` -------------------------------- ### GET /shipment_templates Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns a list of shipment templates. ```markdown ### Parameters - **id** (integer, query, optional): ID for the shipment template to be included in the filter - **sender_country** (string, query, optional): Country code (ISO Alpha-2) to be included in the filter. (example: "DK") - **receiver_country** (string, query, optional): Country code (ISO Alpha-2) to be included in the filter. (example: "DK") - **per_page** (integer, query, optional): For pagination. Defines how many entries are returned per page. - **page** (integer, query, optional): For pagination. Defines which page the results are fetched from. ### Responses #### 200 - Successful. - Array of ShipmentTemplate #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/shipment_templates?id=0&sender_country=DK&receiver_country=DK&per_page=20&page=1" ``` ``` -------------------------------- ### GET /return_portals/{id} Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns the details of a return portal. ```markdown ### Parameters - **id** (integer, path, required): ID for the return portal to be included in the filter ### Responses #### 200 - Successful. **ReturnPortal** - **id** (integer): ID of the return portal. (example: 43) - **active** (boolean): Whether the return portal is active and ready to use. - **portal_name** (string): Last part of the URL to access the return portal: https://return.shipmondo.com/{portal_name} (example: "mitfirma") - **carrier_code** (string): Carrier code for the carrier that is setup to the return portals. (example: "gls") #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/return_portals/{id}" ``` ``` -------------------------------- ### GET /products Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns a list of shipping products and services. Only products available for the user are returned. The codes of the products and services are required when creating a shipment. ```markdown ### Parameters - **id** (integer, query, optional): ID for the product to be included in the filter. - **product_code** (string, query, optional): Code for the product to be included in the filter. (example: "GLSDK_SD") - **sender_country_code** (string, query, optional): Country code (ISO Alpha-2) of the sender country to be included in the filter. (example: "DK") - **receiver_country_code** (string, query, optional): Country code (ISO Alpha-2) of the receiver country to be included in the filter. (example: "DK") - **carrier_code** (string, query, optional): Carrier code to be included in the filter. (example: "gls") - **per_page** (integer, query, optional): For pagination. Defines how many entries are returned per page. - **page** (integer, query, optional): For pagination. Defines which page the results are fetched from. ### Responses #### 200 - Successful. - Array of ShippingProduct #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/products?id=0&product_code=GLSDK_SD&sender_country_code=DK&receiver_country_code=DK&carrier_code=gls&per_page=20&page=1" ``` ``` -------------------------------- ### Schema: UserCarrierSetup Source: https://app.shipmondo.com/api/public/v3/openapi.json Schema definition for UserCarrierSetup ```markdown ## Schema: UserCarrierSetup Schema definition for UserCarrierSetup **Type:** object - **status** (string (REQUESTED|IN_PROGRESS|COMPLETED)) (example: "REQUESTED") ("REQUESTED"|"IN_PROGRESS"|"COMPLETED") - **url** (string (url)): URL to download the carrier setup file (example: "https://example.com") - **expires_at** (string (date-time)): Time when the carrier setup file expires (example: "2020-01-01T00:00:00Z") ``` -------------------------------- ### GET /shipments/{id} Source: https://app.shipmondo.com/api/public/v3/openapi.json Returns the details of a shipment. ```markdown ### Parameters - **id** (integer, path, required): ID for the shipment to be included in the filter ### Responses #### 200 - Successful. **Shipment** - **id** (integer): ID of the shipment. (example: 1168) - **created_at** (string (date-time)): Date and time the shipment was created. (example: "2017-06-16T06:25:44.557Z") - **updated_at** (string (date-time)): Date and time the shipment was last updated. (example: "2017-06-16T06:25:44.557Z") - **carrier_code** (string): Carrier code referring to the carrier of the shipment. (example: "gls") - **description** (string): Text to describe the shipment, which can be used when presenting it. (example: "ShopDelivery") - **contents** (string): General description of the contents of the shipment. (example: "Goods") - **term_of_trade** (string): Incoterm for the shipments, e.g., DDP when customs should be paid by the sender. (example: "DAP") - **product_id** (integer): ID of the product of the shipment. (example: 64) - **product_code** (string): Product code of the product of the shipment. (example: "GLSDK_SD") - **service_codes** (string): Comma-separated string of codes of services that is booked with the shipment. (example: "EMAIL_NT,SMS_NT") - **services** (string): Comma-separated string of IDs of services that are booked with the shipment. (example: "23,24") - **customer_number** (string): Customer number of the agreement used to book the shipment. If value is *null* it is Shipmondo's agreement (example: null) - **price** (string): Price of the shipment including VAT. (example: "42.5") - **reference** (string): Sender's reference of the shipment. (example: "5678123") - **additional_reference** (string): An secondary reference. When possible, it will be transmitted to the carrier and printed on the label (example: "Invoice 10001") - **order_id** (string): Order no. from webshop, if shipment is based on an order in Shipmondo. (example: "5678123") - **pkg_no** (string): Carrier's shipment number, referring to the whole shipment. (example: "6064518784") - **external_pkg_no** (string): Package number from an external source. (example: "123-4567-890") - **parties** (array (ShipmentParty)): Array of parties associated with the shipment. Array items: - **type** (string (sender|receiver|pickup|importer|freight_payer|service_point|return)) (required): Type of party. Parties with `sender` and `receiver` are required for all shipments. (example: "sender") ("sender"|"receiver"|"pickup"|"importer"|"freight_payer"|"service_point"|"return") - **name** (string): Name of the party. For companies, this should be the company name. (example: "Min Virksomhed ApS") - **attention** (string): Attention field can be used for the name of a specific person at the address. (example: "Lene Hansen") - **address1** (string): First address line. This should be the street name and number. (example: "Hvilehøjvej 25") - **address2** (string): Second address line can be used for floor/room number, building name etc. (example: null) - **postal_code** (string): Postal code of the address. (example: "5220") - **city** (string): City of the address. (example: "Odense SØ") - **country_code** (string): Country code of the address in ISO3166 alpha-2 format. (example: "DK") - **email** (string): E-mail address of the party. (example: "info@minvirksomhed.dk") - **phone** (string): Phone number of the party. (example: "+4570400407") - **attributes** (array (DynamicAttribute)): Attributes for the party. Used for additional information about the party. Array items: - **name** (string) (required): Name of the attribute. (example: "vat_no") - **value** (string) (required): Value of the attribute. (example: "DK36399066") - **receiver** (object): Receiver address for the object - **name** (string) (required): Name of the receiver. Can be either a company name or the name of a private person. (example: "Lene Hansen") - **attention** (string): Attention of the receiver. If the receiver is a company, it is the contact person. (example: null) - **address1** (string) (required): Address of the receiver, including address number. (example: "Skibhusvej 52") - **address2** (string): Second address line of the receiver. Can be used for floor/room number, building name etc. (example: null) - **zipcode** (string) (required): Zip code of the address. (example: "5000") - **city** (string) (required): Name of the city that the zip code refers to. (example: "Odense C") - **country_code** (string) (required): ISO 3166-1 alpha-2 country code of the receiver. (example: "DK") - **email** (string): Email address of the receiver (example: "lene@email.dk") - **vat_id** (string): Sender's VAT ID in receiver country. (example: "DK12345678") - **mobile** (string): Mobile number of the receiver (example: "12345678") - **telephone** (string): Landline phone number of the receiver (example: "12345678") - **instruction** (string): Delivery instruction to the carrier. Only applicable for products which support receiver instructions. (example: "Place on the front porch.") - **access_code** (string): Gate/door code for the carrier to access the receiver's address. (example: "4231") - **date** (string (date)): Requested delivery date. format: YYYY-MM-DD (example: "2021-10-14") - **from_time** (string (time)): Requested earliest delivery time. Format HH:MM (example: "08:00") - **to_time** (string (time)): Requested latest delivery time. Format HH:MM (example: "16:00") - **member_id** (string): Carrier member ID. Some products support/require this; e.g., DHL Parcel shipments to Packstations (DHL PostNumber). (example: "a1b2c3") - **sender** (object): Sender address for the object - **parcels** (array (Parcel)) Array items: - **quantity** (integer): Number of parcels of this kind. Maximum quantity depends on the product. (example: 1) - **weight** (integer): Weight in grams. (example: 1000) - **weight_kg** (string): Weight in kilogram. (example: "10.9") - **pkg_no** (string): Carrier's package number refers to the specific package/colli. (example: "1064548752") - **pkg_nos** (array (string)): Carrier's package numbers for all packages if quantity is larger than 1. (example: ["1064548752"]) - **external_pkg_no** (string): Relevant tracking information other than package number. (example: "123-4567-890") - **length** (integer): Length in cm (example: 20) - **width** (integer): Width in cm (example: 10) - **height** (integer): Height in cm (example: 6) - **volume** (number): Volume in cubic metres (example: 0.012) - **running_metre** (number): Running metre in metre (example: 1.25) - **content** (string): Describes the contents of the parcel. (example: "Bike accessories") - **packaging** (string): Package type for the parcel. Must be a valid package type for the customer. (example: "PL1") - **stackable** (boolean): Whether the parcel can be stacked. (example: true) - **internal_reference** (string): A reference for internal use to track parcels, not sent to the carrier. (example: "parcel-1") - **labelless_code** (string): Labelless code for the parcel. Used for labelless shipments. (example: "123-456-789") - **dangerous_goods** (array (DangerousGood)) Array items: - **class** (string): ADR class of the dangerous goods. (example: "3") - **un_number** (string): UN number of the dangerous goods. (example: "1202") - **net_weight** (integer): Net weight in grams of the dangerous goods. Use either this or net_weight_kg. (example: 20100) - **net_weight_kg** (number): Net weight in kilograms of the dangerous goods. Use either this or net_weight. (example: 20.1) - **quantity** (integer): Number of pieces of this kind of dangerous goods. (example: 3) - **packaging** (string): Packaging the dangerous goods are contained in. (example: "drums") - **description** (string): Description of the dangerous goods. (example: "DIESEL FUEL, < 62°C (640K)") - **tunnel_restriction_code** (string): Tunnel restriction code that applies to the dangerous goods. (example: "A") - **packing_group** (string): Packing group that applies to the dangerous goods. (example: "III") - **environmentally_hazardous** (boolean): Whether or not the dangerous goods are hazardous to the environment. - **declared_value** (object): Value of the goods in the parcel. Used in terms of insurance for certain carriers. - **amount** (number): Valued amount. (example: 1250) - **currency_code** (string): Currency code for the currency of the amount. (example: "DKK") - **gls_colli_id** (string): GLS colli ID for the parcel. Used for GLS shipments. (example: "123-456-789") - **customs** (object): Custom details used to generate proforma invoice or sent directly to the carrier. This object is only used for shipments where customs declaration is required. - **export_reason** (string (sale_of_goods|gift|documents|commercial_samples|returned_goods|other)): Reason for exporting the goods. (example: "other") ("sale_of_goods"|"gift"|"documents"|"commercial_samples"|"returned_goods"|"other") - **term_of_trade** (string): Incoterm for the shipments, e.g., DDP when customs should be paid by the sender. (example: "DAP") - **declared_value** (string): Total value of the goods in the shipment. (example: "1000.00") - **currency_code** (string): Currency code for prices declared in goods (example: "DKK") - **contents** (string): General description of the contents of the shipment. (example: "Goods") - **duty_payment_type** (string): Legacy field. Use `term_of_trade = 'DDP'` instead. - **duty_account_number** (string): Legacy field. see `'importer'` with attribute `name = 'customer_number'`. (example: "Goods") - **goods** (array (CustomsGood)) Array items: - **quantity** (number): Quantity of the goods in the `unit`. Example: 2.0 pieces or 0.5 m2. (example: 2) - **unit** (string (piece|m2)): Unit of the `quantity`. (example: "piece") ("piece"|"m2") - **country_code** (string): Country code of origin of the good. (example: "DK") - **content** (string): Description of the good. (example: "Cotton t-shirt") - **commodity_code** (string): Commodity code (tariff/HS code) of the good. (example: "6109100010") - **unit_value** (number): Value of the good per unit. (example: 122.5) - **unit_weight** (integer): Weight in grams of the good per unit. (example: 110) - **attributes** (array (DynamicAttribute)): Attributes for the commodity good. Used for additional information. Array items: - **billed_to_custom_invoice_text** (string): Legacy field. See `importer` party with attribute `name` = `invoice_note`. A custom text for the shipment importer. Will appear on proforma/commercial invoice under "Importer" if filled. (example: "Key code: ABC123") - **sender_custom_invoice_text** (string): Legacy field. See `sender` party with attribute `name` = `invoice_note`. A custom text for the shipment sender. Will appear on proforma/commercial invoice under "Sender" if filled. (example: "Key code: ABC123") - **receiver_custom_invoice_text** (string): Legacy field. See `receiver` party with attribute `name` = `invoice_note`. A custom text for the shipment receiver. Will appear on proforma/commercial invoice under "Delivery to" if filled. (example: "Key code: ABC123") - **service_point** (object) - **id** (string): Identifier of the service point. (example: "95558") - **name** (string): Name of the service point. (example: "Påskeløkkens Købmand") - **address1** (string): Address line 1 of the service point. (example: "Paaskeløkkevej 11") - **address2** (string): Second address line can be used for floor/room number, building name etc. (example: null) - **zipcode** (string): Zip code of the service point. (example: "5000") - **city** (string): City of the provided zipcode. (example: "Odense C") - **country_code** (string): ISO 3166-1 alpha-2 country code of the service point. (example: "DK") - **shipping_agent** (string): Carrier code of the carrier that the service point belongs to. (example: "gls") - **pick_up** (object) - **name** (string) (example: "Min Virksomhed A/S") - **attention** (string) (example: null) - **address1** (string) (example: "Hvilehøjvej 25") - **address2** (string): Second address line. Can be used for floor/room number, building name etc. (example: null) - **country_code** (string) (example: "DK") - **zipcode** (string) (example: "5220") - **city** (string) (example: "Odense SØ") - **telephone** (string) (example: "80808080") - **instruction** (string): Pickup instruction to the carrier. Only applicable for products which supports pickup instructions. (example: "Goods are placed at gate 21") - **date** (string (date)): Requested pickup date. (example: "2021-10-13") - **from_time** (string (time)): Requested earliest pickup time. (example: "08:00") - **to_time** (string (time)): Requested latest pickup time. (example: "16:00") - **pickup_custom** (boolean): Whether the shipment includes a pickup address other than sender address. - **bill_to** (object): Customs billing information if it is other than sender/receiver. - **dfm** (object): Special object for extra information when shipping with Danske Fragtmænd. Otherwise it can be ignored. - **insurance_type** (string (A|B|C|D)): Type of insurance to be booked. (example: "A") ("A"|"B"|"C"|"D") - **insurance_amount** (number): Amount in DKK that should be insured for the shipment. (example: 1000) - **dot_type** (string (DO1|DO2|DO3|DO4)): Type of DOT used for the shipment. (example: "DO1") ("DO1"|"DO2"|"DO3"|"DO4") - **dot_time** (string (time)): Requested time of DOT delivery. Only valid for DO2, DO3 and DO4. Format: HH:MM (example: "15:00") - **pallets1** (integer): Legacy field. Use `pallet_exchange` instead. (example: 1) - **pallets2** (integer): Legacy field. Use `pallet_exchange` instead. (example: 1) - **pallets4** (integer): Legacy field. Use `pallet_exchange` instead. (example: 1) - **limited_quantity_weight** (integer): Legacy field. Use `parcels.dangerous_goods` instead. (example: 1000) - **has_dangerous_goods** (boolean): Legacy field. Use `parcels.dangerous_goods` instead. (example: true) - **paperless_trade** (boolean): If the shipment is created with paperless trade, then it is not necessary to print out physical proforma invoice. - **labelless_code** (string): If labelless is supported on the certain shipment by the carrier, then this element will be available with the code that can be written on the parcel. (example: "123-4567-890") - **source_id** (string): ID of the source of the shipment from which it has been created. (example: "1000001234") - **source_type** (string (manual|imported|fulfillment|return|repurchase|api|address_book)): The type of the source from which the shipment has been created (example: "manual") ("manual"|"imported"|"fulfillment"|"return"|"repurchase"|"api"|"address_book") - **return_shipment_id** (string): ID of the return shipment that has been created for the shipment. (example: "1000001234") - **origin_shipment_id** (string): ID of the origin shipment that the shipment was created as return for. (example: "1000001235") - **carrier_insurance** (object): Object for indicating carrier insurance on the shipment. Only usable for specific carriers and when an insurance service code is provided. - **insurance** (object): Object is deprecated. Use "carrier_insurance" instead. - **label_overlay** (object): Extra section so that shipment label includes a custom barcode and texts. The size of the label will be in 10 x 21 cm instead of 10 x 19 cm. - **barcode** (string) (example: "1234567890123") - **left_text** (string) (example: "ABC") - **right_text** (string) (example: "DEF") - **waybill_reference** (string): Reference of the bulk waybill that the shipment is included in. (example: "CS000000000NO") - **pickup_details** (object): Details for pickup. - **date** (string (date)): Requested pickup date. (example: "2021-10-13") - **from** (string (time)): Requested earliest pickup time. Format HH:MM:SS. (example: "08:00:00") - **to** (string (time)): Requested latest pickup time. Format HH:MM:SS. (example: "16:00:00") - **instruction** (string): Pickup instruction to the carrier. Only applicable for products which supports pickup instructions. (example: "Goods are placed at gate 21") - **delivery_details** (object): Details for delivery. #### 401 - response - **error** (string) (required) (example: "Invalid API User or API Key") #### 404 - response - **error** (string) (required) (example: "Resource not found") ### Example Usage ```bash curl -X GET "https://sandbox.shipmondo.com/api/public/v3/shipments/{id}" ``` ```